Table of Contents

## Name

im_insertplace - paste small images into big images

## Synopsis

#include <vips/vips.h>

im_insertplace( big, small, x, y )
IMAGE *big, *small;
int x, y;

## Description

Paste image small into image big, with small's left-left-hand corner at (x,y) in image big. Image big must be large enough to hold all of small! No clipping. Images may have any type, but must both have the same type.

This is an in-place operation. Big is damaged! Careful.

## Return Value

All functions return 0 on success and -1 on error.

## See Also

im_fastline(3) , im_smudge(3) .

## Copyright

National Gallery, 1992

## Author

J. Cupitt

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author